# Makefile for ttf2pkk -- loyer@enst.fr, a7971428@unet.univie.ac.at
#
# This Makefile assumes that you've already built the FreeType library.

CC = @CC@

CFLAGS = @CFLAGS@ @CPPFLAGS@ @XX_CFLAGS@
LDFLAGS = @LDFLAGS@ @LIBS@

SRC = enclib.c pklib.c ttf2pk.c ttf2tfm.c ttflib.c

ttf2pkobjs = ttf2pk.o pklib.o enclib.o ttflib.o
ttf2tfmobjs = ttf2tfm.o enclib.o

programs = ttf2pk ttf2tfm

default all: $(programs)

ttf2pk: $(ttf2pkobjs)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

ttf2tfm: $(ttf2tfmobjs)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

clean: do_clean

distclean: do_clean
	-$(RM) dep.end $(programs)
	-$(RM) *~ *.orig core
	-$(RM) config.cache config.log config.status Makefile

do_clean:
	-$(RM) *.o

# depend:
#	$(CC) -E -M $(CFLAGS) $(SRC) > dep.end

# ifeq (dep.end,$(wildcard dep.end))
#   include dep.end
# endif

# end of Makefile.in
